# Increasing Available Storage

You can increase the total available storage on your ExaVault appliance when it runs low.

This is a multi-step process. First, you will increase the size of the data disk in your VM's hypervisor. Then, you will log in to your appliance via SSH to expand the size of your virtual disk.

## Physically adding storage to your VM environment

First, make additional storage space available to your appliance using your VM environment.

This may be done by physically adding disks or provisioning existing storage so that it is available to your ExaVault virtual machine.

The exact instructions for this step will vary from environment to environment depending on server type, OS, and virtual machine environment.

## Increasing the size of your data disk

Once you have made additional storage space available, log in to your Virtual Machine Hypervisor with administrator rights and increase the size of your ExaVault VM's data disk.

Refer to your hypervisor's documentation for steps on how to do this correctly.

## Expanding the VM's virtual disk

Perform this step on your ExaVault VM's command line. Connect to the appliance via SSH.

Switch to the superuser account with the command `sudo su -`.

Check the filesystem type of your `/dev/sdb1` partition with the command `df -Th`. The filesystem type must be xfs. If `/dev/sdb1` shows any other type, contact Support for next steps.

Run the four following commands to unset existing partition information and grow the `/dev/sdb1` partition to use the newly added space:

```
ls /sys/class/scsi_device/*/device/rescan | while read path; do echo 1 > $path; done
ls /sys/class/scsi_host/host*/scan | while read path; do echo "- - -" > $path; done
growpart /dev/sdb 1
xfs_growfs -d /dev/sdb1
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.exavault.com/administration-tasks/increasing-available-storage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
